BrokerContext (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.broker.BrokerContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.broker
Class BrokerContext

    java.lang.Object
      org.codehaus.activemq.broker.BrokerContext

public class BrokerContext
extends Object

A cache of all the brokers and broker connectors in use which is usually used in a singleton way but could be used in an IoC style manner.

Version:
  $Revision: 1.4 $

Constructor Summary
`BrokerContext()`

Method Summary
`void` | `deregisterConnector(String urlString)`
`void` | `deregisterContainer(String name, BrokerContainer container)`
`BrokerContainer` | `getBrokerContainerByName(String name, BrokerContainerFactory factory)`
`BrokerConnector` | `getConnectorByURL(String url)`
`static BrokerContext` | `getInstance()`
`void` | `registerConnector(String url, BrokerConnector connector)`
`void` | `registerContainer(String name, BrokerContainer container)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrokerContext

    public BrokerContext()

Method Detail

### getInstance

    public static BrokerContext getInstance()

### getBrokerContainerByName

    public BrokerContainer getBrokerContainerByName(String name,
                                                    BrokerContainerFactory factory)
                                             throws JMSException

  Throws:
    `JMSException`

### registerContainer

    public void registerContainer(String name,
                                  BrokerContainer container)

### deregisterContainer

    public void deregisterContainer(String name,
                                    BrokerContainer container)

### registerConnector

    public void registerConnector(String url,
                                  BrokerConnector connector)

### deregisterConnector

    public void deregisterConnector(String urlString)

### getConnectorByURL

    public BrokerConnector getConnectorByURL(String url)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.